summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTails developers <amnesia@boum.org>2012-12-07 18:32:51 +0100
committerTails developers <amnesia@boum.org>2012-12-07 18:34:23 +0100
commitd9cca9a619ca630f89d9b3634f1a203a4ac25593 (patch)
tree8ded35c83ee6f3f3d1cef8e4d833a992b7c939c1
parent5605296b91c54d9ab52a86c6493771d0a2d15de3 (diff)
live-persist: Require 'live-boot' package to be installed.feature/improve_live-persist
-rwxr-xr-xconfig/chroot_local-includes/usr/local/sbin/live-persist5
1 files changed, 5 insertions, 0 deletions
diff --git a/config/chroot_local-includes/usr/local/sbin/live-persist b/config/chroot_local-includes/usr/local/sbin/live-persist
index 888c6ec..c8a67e1 100755
--- a/config/chroot_local-includes/usr/local/sbin/live-persist
+++ b/config/chroot_local-includes/usr/local/sbin/live-persist
@@ -17,6 +17,11 @@ then
error "need root privileges"
fi
+if ! dpkg -s live-boot >/dev/null 2>&1
+then
+ error "package 'live-boot' must be installed"
+fi
+
# import Cmdline_old()
. /lib/live/boot/9990-cmdline-old \
|| error 'Could not source /lib/live/boot/9990-cmdline-old'